Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class ContactAddress

    java.lang.Object
      org.deegree.ogcbase.ContactAddress

    public class ContactAddress

extends Object

Specifies the data structure of a address and the access to its components based on ISO 19115.

Since:
  1.0
Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp, Markus Schneider

Constructor Summary
`ContactAddress(String addressType, String address, String city, String stateOrProvince, String postCode, String country)` constructor initializing the class with ContactAddress Strings

Method Summary
`String` | `getAddress()` returns the address. usally this is the street and number of a building.
`String` | `getAddressType()` returns the address type. e.g.
`String` | `getCity()` returns the name of the city
`String` | `getCountry()` returns the name of the country. this should be the complete name and not an abbreviation.
`String` | `getPostCode()` returns the post code.
`String` | `getStateOrProvince()` returns the name of the state or province of the address.
`void` | `setAddress(String address)` sets the address. usally this is the street and number of a building.
`void` | `setAddressType(String addressType)` sets the address type. e.g.
`void` | `setCity(String city)` sets the name of the city
`void` | `setCountry(String country)` sets the name of the country. this should be the complete name and not an abbreviation.
`void` | `setPostCode(String postCode)` sets the post code.
`void` | `setStateOrProvince(String stateOrProvince)` sets the name of the state or province of the address.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactAddress

    public ContactAddress(String addressType,
                          String address,
                          String city,
                          String stateOrProvince,
                          String postCode,
                          String country)

  constructor initializing the class with ContactAddress Strings

  Parameters:
    `addressType` -
    `address` -
    `city` -
    `stateOrProvince` -
    `postCode` -
    `country` -

Method Detail

### getAddressType

    public String getAddressType()

  returns the address type. e.g. 'postal'

  Returns:
    the address type. e.g. 'postal'

### setAddressType

    public void setAddressType(String addressType)

  sets the address type. e.g. 'postal'

  Parameters:
    `addressType` -

### getAddress

    public String getAddress()

  returns the address. usally this is the street and number of a building. It also can be a p.o. box

  Returns:
    the address. usally this is the street and number of a building. It also can be a p.o. box

### setAddress

    public void setAddress(String address)

  sets the address. usally this is the street and number of a building. It also can be a p.o. box

  Parameters:
    `address` -

### getCity

    public String getCity()

  returns the name of the city

  Returns:
    the name of the city

### setCity

    public void setCity(String city)

  sets the name of the city

  Parameters:
    `city` -

### getStateOrProvince

    public String getStateOrProvince()

  returns the name of the state or province of the address.

  Returns:
    the name of the state or province of the address.

### setStateOrProvince

    public void setStateOrProvince(String stateOrProvince)

  sets the name of the state or province of the address.

  Parameters:
    `stateOrProvince` -

### getPostCode

    public String getPostCode()

  returns the post code. This doesn't contain an abbreviation for the country

  Returns:
    the post code. This doesn't contain an abbreviation for the country

### setPostCode

    public void setPostCode(String postCode)

  sets the post code. This doesn't contain an abbreviation for the country

  Parameters:
    `postCode` -

### getCountry

    public String getCountry()

  returns the name of the country. this should be the complete name and not an abbreviation.

  Returns:
    the name of the country. this should be the complete name and not an abbreviation.

### setCountry

    public void setCountry(String country)

  sets the name of the country. this should be the complete name and not an abbreviation.

  Parameters:
    `country` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org